org.springframework.cloud.dataflow.core

## Interface StreamDefinitionService

- All Known Implementing Classes:
    DefaultStreamDefinitionService

      public interface StreamDefinitionService

  Contract for the core operations against `StreamDefinition`.
  Author:
    Ilayaperumal Gopinathan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `dataFlowAddedProperties`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `constructDsl(String originalDslText, LinkedList<StreamAppDefinition> streamAppDefinitions)` Return the updated stream DSL for the given stream definition with the associated properties.
    `LinkedList<StreamAppDefinition>` | `getAppDefinitions(StreamDefinition streamDefinition)` Return the linked list of `StreamAppDefinition`s associated with the stream definition.
    `org.springframework.cloud.dataflow.core.dsl.StreamNode` | `parse(StreamDefinition streamDefinition)` Parse the given stream definition and return the AST representation of the stream DSL in `StreamNode`.
    `String` | `redactDsl(StreamDefinition streamDefinition)`

- - ### Field Detail

    - #### dataFlowAddedProperties

          static final List<String> dataFlowAddedProperties

  - ### Method Detail

    - #### parse

          org.springframework.cloud.dataflow.core.dsl.StreamNode parse(StreamDefinition streamDefinition)

      Parse the given stream definition and return the AST representation of the stream DSL in `StreamNode`.
      Parameters:
        `streamDefinition` - the stream definition
      Returns:
        the StreamNode representation of the stream definition

    - #### getAppDefinitions

          LinkedList<StreamAppDefinition> getAppDefinitions(StreamDefinition streamDefinition)

      Return the linked list of `StreamAppDefinition`s associated with the stream definition.
      Parameters:
        `streamDefinition` - the stream definition
      Returns:
        the linked list of stream app definitions

    - #### constructDsl

          String constructDsl(String originalDslText,
                              LinkedList<StreamAppDefinition> streamAppDefinitions)

      Return the updated stream DSL for the given stream definition with the associated properties.
      Parameters:
        `streamAppDefinitions` - the linked list of `StreamAppDefinition`s associated with the stream with some of app properties modified
      Returns:
        the updated stream DSL

    - #### redactDsl

          String redactDsl(StreamDefinition streamDefinition)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.